{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "API",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build-api",
      "program": "${workspaceFolder}/DiunaBI.API/bin/Debug/net10.0/DiunaBI.API.dll",
      "args": [],
      "cwd": "${workspaceFolder}/DiunaBI.API",
      "stopAtEntry": false,
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development"
      }
    },
    {
      "name": "Web",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build-web",
      "program": "${workspaceFolder}/DiunaBI.UI.Web/bin/Debug/net10.0/DiunaBI.UI.Web.dll",
      "args": [],
      "cwd": "${workspaceFolder}/DiunaBI.UI.Web",
      "stopAtEntry": false,
      "serverReadyAction": {
        "action": "openExternally",
        "pattern": "\\bNow listening on:\\s+(https?://\\S+)",
        "uriFormat": "%s"
      },
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development"
      },
      "launchBrowser": {
        "enabled": true,
        "args": "${auto-detect-url}",
        "browser": [
          {
            "osx": "Google Chrome",
            "linux": "chrome",
            "windows": "chrome"
          }
        ]
      }
    }
  ]
}